Package org.apache.sysds.runtime.compress.lib

# Class CLALibUtils

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibUtils

public final class CLALibUtils extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`combineConstColumns(CompressedMatrixBlock in)`
Combine all column groups that are constant types, this include empty and const.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### combineConstColumns

public static void combineConstColumns(CompressedMatrixBlock in)
Combine all column groups that are constant types, this include empty and const.

Parameters:
  `in` - A Compressed matrix.